CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
Image Class Reference

## Public Member Functions
| __construct ($SourceFileName, $DebugLevel=0)
| SaveAs ($FileName, $NewImageType=NULL)
| XSize ()
| YSize ()
| ScaleTo ($ScaledXSize, $ScaledYSize, $MaintainAspectRatio=FALSE)
| CropTo ($CroppedXSize, $CroppedYSize, $CroppedXOrigin=0, $CroppedYOrigin=0)
| Type ($FileName=NULL)
| Get the image type. More...
| Mimetype ()
| Get the MIME type for the image. More...
| JpegQuality ($NewSetting=NULL)
| Status ()
| FailedExternalCommand ()
| ReadSize ()
| ImageFormatSupportedByPhp ($Format=NULL)

## Static Public Member Functions
static | Extension ($Type=NULL)
static | SupportedFormats ()
static | SupportedFormatNames ()

## Public Attributes
| $GDVersion
| $ImageObj
| $SourceFileName
| $ImageXSize
| $ImageYSize
| $ScaledXSize
| $ScaledYSize
| $MaintainAspectRatio
| $CroppedXSize
| $CroppedYSize
| $CroppedXOrigin
| $CroppedYOrigin
| $JpegSaveQuality
| $DecodeCommand
| $ErrorStatus
| $FailedCommand
| $DebugLevel

## Detailed Description

Definition at line 15 of file Image.php.

## Constructor & Destructor Documentation

Image::__construct | ( |  | $SourceFileName,
|  |  | $DebugLevel = `0`
| ) |  |

Definition at line 19 of file Image.php.

References $DebugLevel, $SourceFileName, AI_FILEUNREADABLE, AI_IMGOBJCREATEFAILED, AI_INTERNALERROR, AI_OKAY, AI_UNSUPPORTEDFORMAT, ImageFormatSupportedByPhp(), IMGTYPE_BMP, IMGTYPE_GIF, IMGTYPE_JPEG, IMGTYPE_PNG, and Type().

## Member Function Documentation

Image::CropTo | ( |  | $CroppedXSize,
|  |  | $CroppedYSize,
|  |  | $CroppedXOrigin = `0`,
|  |  | $CroppedYOrigin = `0`
| ) |  |

Definition at line 274 of file Image.php.

References $CroppedXOrigin, $CroppedXSize, $CroppedYOrigin, and $CroppedYSize.

static Image::Extension | ( |  | $Type = `NULL` | ) |
| static

Definition at line 375 of file Image.php.

References Type().

Referenced by SPTImage\ExpireImageSymlinks(), and SPTImage\GetImageUrlForResource().

Here is the caller graph for this function:

Image::FailedExternalCommand | ( |  | ) |

Definition at line 466 of file Image.php.

References $FailedCommand.

Image::ImageFormatSupportedByPhp | ( |  | $Format = `NULL` | ) |

Definition at line 511 of file Image.php.

References IMGTYPE_BMP, IMGTYPE_GIF, IMGTYPE_JPEG, IMGTYPE_PNG, and Type().

Referenced by __construct(), and SaveAs().

Here is the caller graph for this function:

Image::JpegQuality | ( |  | $NewSetting = `NULL` | ) |

Definition at line 395 of file Image.php.

References $JpegSaveQuality.

Image::Mimetype | ( |  | ) |

Get the MIME type for the image.

Returns
  Returns the MIME type for the image.

Definition at line 318 of file Image.php.

References $SourceFileName, IMGTYPE_BMP, IMGTYPE_GIF, IMGTYPE_JPEG, IMGTYPE_PNG, and Type().

Image::ReadSize | ( |  | ) |

Definition at line 500 of file Image.php.

Referenced by XSize(), and YSize().

Here is the caller graph for this function:

Image::SaveAs | ( |  | $FileName,
|  |  | $NewImageType = `NULL`
| ) |  |

Definition at line 104 of file Image.php.

References $CroppedXSize, $CroppedYSize, $ErrorStatus, $ImageObj, $ScaledXSize, $ScaledYSize, AI_DESTINATIONUNWRITABLE, AI_INTERNALERROR, AI_OKAY, AI_UNSUPPORTEDFORMAT, ImageFormatSupportedByPhp(), IMGTYPE_BMP, IMGTYPE_GIF, IMGTYPE_JPEG, IMGTYPE_PNG, IMGTYPE_UNKNOWN, Type(), XSize(), and YSize().

Image::ScaleTo | ( |  | $ScaledXSize,
|  |  | $ScaledYSize,
|  |  | $MaintainAspectRatio = `FALSE`
| ) |  |

Definition at line 265 of file Image.php.

References $MaintainAspectRatio, $ScaledXSize, and $ScaledYSize.

Image::Status | ( |  | ) |

Definition at line 460 of file Image.php.

References $ErrorStatus.

Referenced by SPTImage\ExpireImageSymlinks().

Here is the caller graph for this function:

static Image::SupportedFormatNames | ( |  | ) |
| static

Definition at line 436 of file Image.php.

References SupportedFormats().

static Image::SupportedFormats | ( |  | ) |
| static

Definition at line 402 of file Image.php.

References IMGTYPE_GIF, IMGTYPE_JPEG, and IMGTYPE_PNG.

Referenced by SupportedFormatNames().

Here is the caller graph for this function:

Image::Type | ( |  | $FileName = `NULL` | ) |

Get the image type.

If image file does not exist, the file name is examined to try to determine the image type.

Parameters

  string | $FileName | Full name (with path) of image file. (OPTIONAL, defaults to previously-stored file name for this object)

Returns
  enum Image type.

Definition at line 290 of file Image.php.

References $SourceFileName, IMGTYPE_BMP, IMGTYPE_GIF, IMGTYPE_JPEG, IMGTYPE_PNG, and IMGTYPE_UNKNOWN.

Referenced by __construct(), Extension(), ImageFormatSupportedByPhp(), Mimetype(), and SaveAs().

Here is the caller graph for this function:

Image::XSize | ( |  | ) |

Definition at line 251 of file Image.php.

References $ImageXSize, and ReadSize().

Referenced by SaveAs().

Here is the caller graph for this function:

Image::YSize | ( |  | ) |

Definition at line 258 of file Image.php.

References $ImageYSize, and ReadSize().

Referenced by SaveAs().

Here is the caller graph for this function:

## Member Data Documentation

Image::$CroppedXOrigin

Definition at line 484 of file Image.php.

Referenced by CropTo().

Image::$CroppedXSize

Definition at line 482 of file Image.php.

Referenced by CropTo(), and SaveAs().

Image::$CroppedYOrigin

Definition at line 485 of file Image.php.

Referenced by CropTo().

Image::$CroppedYSize

Definition at line 483 of file Image.php.

Referenced by CropTo(), and SaveAs().

Image::$DebugLevel

Definition at line 490 of file Image.php.

Referenced by __construct().

Image::$DecodeCommand

Definition at line 487 of file Image.php.

Image::$ErrorStatus

Definition at line 488 of file Image.php.

Referenced by SaveAs(), and Status().

Image::$FailedCommand

Definition at line 489 of file Image.php.

Referenced by FailedExternalCommand().

Image::$GDVersion

Definition at line 474 of file Image.php.

Image::$ImageObj

Definition at line 475 of file Image.php.

Referenced by SaveAs().

Image::$ImageXSize

Definition at line 477 of file Image.php.

Referenced by XSize().

Image::$ImageYSize

Definition at line 478 of file Image.php.

Referenced by YSize().

Image::$JpegSaveQuality

Definition at line 486 of file Image.php.

Referenced by JpegQuality().

Image::$MaintainAspectRatio

Definition at line 481 of file Image.php.

Referenced by ScaleTo().

Image::$ScaledXSize

Definition at line 479 of file Image.php.

Referenced by SaveAs(), and ScaleTo().

Image::$ScaledYSize

Definition at line 480 of file Image.php.

Referenced by SaveAs(), and ScaleTo().

Image::$SourceFileName

Definition at line 476 of file Image.php.

Referenced by __construct(), Mimetype(), and Type().

The documentation for this class was generated from the following file:

- lib/AxisPHP/Image.php